//
//  GBWindowControllerUtilities.h
//  gBrowser
//
//  Created by Andreas Schwarz on Tue Dec 25 2001.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSObject (GBWidgetUpdateUtilities)

- (void)updateWindowFrame:(NSWindow *)window setting:(NSString *)frameString;
- (void)updateTextFieldText:(NSTextField *)control setting:(NSString *)text;
- (void)updateTextFieldFont:(NSTextField *)control setting:(NSFont *)font;
- (void)updateControlEnable:(NSControl *)control setting:(BOOL)enable;
- (void)updateRadioCluster:(NSMatrix *)control setting:(int)value;
- (void)updatePopUpButton:(NSPopUpButton *)control setting:(int)value;
- (void)updatePopUpButton:(NSPopUpButton *)control forTag:(int)value;
- (void)updateCheckbox:(NSButton *)control setting:(BOOL)value;
- (void)updateMixedCheckbox:(NSButton *)control setting:(int)value;
- (void)updateSlider:(NSSlider *)control setting:(int)value;

@end
